# Minimal React Sortable Tree Theme for Solverboard
<img alt="theme appearance" src="./example-resource/main.png" width="500">

## Features
* Customised Theme for React Sortable Tree - forked from react-sortable-tree-theme-minimal

## Usage

```sh
npm install --save react-sortable-tree-theme-solverboard
```

```jsx
import React, { Component } from 'react';
import SortableTree from 'react-sortable-tree';
import FileExplorerTheme from 'react-sortable-tree-theme-solverboard';

export default class Tree extends Component {
  constructor(props) {
    super(props);

    this.state = {
      treeData: [{ title: 'src/', children: [ { title: 'index.js' } ] }],
    };
  }

  render() {
    return (
      <div style={{ height: 400 }}>
        <SortableTree
          treeData={this.state.treeData}
          onChange={treeData => this.setState({ treeData })}
          theme={FileExplorerTheme}
        />
      </div>
    );
  }
}
```
